/* $Copyright:
 *
 * Copyright 1998-2000 by the Massachusetts Institute of Technology.
 * 
 * All rights reserved.
 * 
 * Export of this software from the United States of America may require a
 * specific license from the United States Government.  It is the
 * responsibility of any person or organization contemplating export to
 * obtain such a license before exporting.
 * 
 * WITHIN THAT CONSTRAINT, permission to use, copy, modify, and distribute
 * this software and its documentation for any purpose and without fee is
 * hereby granted, provided that the above copyright notice appear in all
 * copies and that both that copyright notice and this permission notice
 * appear in supporting documentation, and that the name of M.I.T. not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.  Furthermore if you
 * modify this software you must label your software as modified software
 * and not distribute it in such a fashion that it might be confused with
 * the original MIT software. M.I.T. makes no representations about the
 * suitability of this software for any purpose.  It is provided "as is"
 * without express or implied warranty.
 * 
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
 * MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * 
 * Individual source code files are copyright MIT, Cygnus Support,
 * OpenVision, Oracle, Sun Soft, FundsXpress, and others.
 * 
 * Project Athena, Athena, Athena MUSE, Discuss, Hesiod, Kerberos, Moira,
 * and Zephyr are trademarks of the Massachusetts Institute of Technology
 * (MIT).  No commercial use of these trademarks may be made without prior
 * written permission of MIT.
 * 
 * "Commercial use" means use of a name in a product or other for-profit
 * manner.  It does NOT prevent a commercial firm from referring to the MIT
 * trademarks in order to convey information (although in doing so,
 * recognition of their trademark status should be given).
 * $
 */

/* $Header: /cvs/macdev/mit/lib/CCacheLib/Headers/CredentialsCache/CredentialsCacheInternal.h,v 1.6 2001/11/19 18:51:54 meeroh Exp $ */
 
#ifndef __CREDENTIALSCACHEINTERNAL__
#define __CREDENTIALSCACHEINTERNAL__

#include <CredentialsCache/CredentialsCache.h>

#if TARGET_RT_MAC_CFM
#include <AEDataModel.h>
#include <AEInteraction.h>
#else
#include <Carbon/Carbon.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

enum {
	ccClassic_EventClass					 = FOUR_CHAR_CODE ('CCae'),	// Our event class
	ccClassic_EventID					 = FOUR_CHAR_CODE ('CCae')	// Our only event ID
};

cc_int32 __CredentialsCacheInternalTellCCacheServerToQuit (void);

cc_int32 __CredentialsCacheInternalGetDiffs (
        cc_uint32		inServerID,
	cc_uint32		inSeqNo,
	Handle			outHandle);
	
cc_int32 __CredentialsCacheInternalGetInitialDiffs (
	Handle			outHandle,
        cc_uint32		inServerID);
        
cc_int32 __CredentialsCacheInternalCheckServerID (
        cc_uint32		inPID,
        cc_uint32*		outEqual);
	
cc_int32 __CredentialsCacheInternalInitiateSyncWithYellowCache (void);

cc_int32 __CredentialsCacheInternalCompleteSyncWithYellowCache (
	const AppleEvent*	inAppleEvent);

cc_int32 __CredentialsCacheInternalSyncWithYellowCache (
	AEIdleUPP	inIdleProc);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __CREDENTIALSCACHEINTERNAL__ */
